# Stock Override Procurement

In odoo core modules there is often a method to provide the procurement values but not the attributes like location, product_id, etc. This technical module makes it possible to override them if they are passed in the values.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

    self.env["procurement.group"].run(
          [
              self.env["procurement.group"].Procurement(
                  product,
                  1,
                  uom,
                  customer_location,
                  "procurement",
                  "procurement",
                  company,
                  {"location_id": output_location},
              )
          ]
      )

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV

## Contributors

- Souheil Bejaoui <souheil.bejaoui@acsone.eu>
- Laurent Mignon <laurent.mignon@acsone.eu>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/stock-logistics-workflow project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.